Bug 417539 - Folder view pop-up is not wide enough and items are not ordered correctly.
Summary: Folder view pop-up is not wide enough and items are not ordered correctly.
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Folder (show other bugs)
Version: 5.18.0
Platform: Archlinux Packages Linux
: HI normal
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords: regression, usability
Depends on:
Blocks:
 
Reported: 2020-02-13 05:49 UTC by ritalat
Modified: 2022-03-30 02:45 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.5


Attachments
Pop-up not wide enough and ordering is not correct (file5 appears before file4) (222.54 KB, image/png)
2020-02-13 05:49 UTC, ritalat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ritalat 2020-02-13 05:49:04 UTC
Created attachment 125930 [details]
Pop-up not wide enough and ordering is not correct (file5 appears before file4)

SUMMARY
Folder view pop-up is not wide enough to hold three items side by side once the scroll bar appears. This also messes up the ordering of files.

STEPS TO REPRODUCE
1. Open the folder view pop-up on a folder with more than six items.

OBSERVED RESULT
Only two items are shown in a row and the items are not ordered correctly.

EXPECTED RESULT
Three items are shown like in the case without a scroll bar and items are ordered correctly.

SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.18.0
KDE Frameworks Version: 5.67
Qt Version: 5.14.1
Comment 1 Nate Graham 2020-02-15 03:20:25 UTC
Possibly fallout from the recent scrollbar changes.
Comment 2 Nate Graham 2022-03-30 02:44:09 UTC
Git commit 2ebde10325ac9077469210a4cc7fa89480113053 by Nate Graham.
Committed on 30/03/2022 at 02:43.
Pushed by ngraham into branch 'master'.

Folder View: Make popup dialog wide enough for one more grid cell

Right now it is 2 pixels too narrow, so there is always a huge gap on
the right side. Use a standard Unit that knows how to adjust with the
font size to avoid this, in lieu of being able to get the scrollbar
width.
FIXED-IN: 5.24.5

M  +1    -1    containments/desktop/package/contents/ui/FolderViewDialog.qml

https://invent.kde.org/plasma/plasma-desktop/commit/2ebde10325ac9077469210a4cc7fa89480113053
Comment 3 Nate Graham 2022-03-30 02:45:07 UTC
Git commit c0405586a7411d995a02411979058c2335285737 by Nate Graham.
Committed on 30/03/2022 at 02:44.
Pushed by ngraham into branch 'Plasma/5.24'.

Folder View: Make popup dialog wide enough for one more grid cell

Right now it is 2 pixels too narrow, so there is always a huge gap on
the right side. Use a standard Unit that knows how to adjust with the
font size to avoid this, in lieu of being able to get the scrollbar
width.
FIXED-IN: 5.24.5
(cherry picked from commit 2ebde10325ac9077469210a4cc7fa89480113053)

M  +1    -1    containments/desktop/package/contents/ui/FolderViewDialog.qml

https://invent.kde.org/plasma/plasma-desktop/commit/c0405586a7411d995a02411979058c2335285737